org.fourthline.cling.support.model

## Enum ConnectionInfo.Direction

- java.lang.Object
- - java.lang.Enum<ConnectionInfo.Direction>
  - - org.fourthline.cling.support.model.ConnectionInfo.Direction

- All Implemented Interfaces:
    Serializable, Comparable<ConnectionInfo.Direction>
  Enclosing class:
    ConnectionInfo

      public static enum ConnectionInfo.Direction
      extends Enum<ConnectionInfo.Direction>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Input`
    `Output`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConnectionInfo.Direction` | `getOpposite()`
    `static ConnectionInfo.Direction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionInfo.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Output

          public static final ConnectionInfo.Direction Output

    - #### Input

          public static final ConnectionInfo.Direction Input

  - ### Method Detail

    - #### values

          public static ConnectionInfo.Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionInfo.Direction c : ConnectionInfo.Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionInfo.Direction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getOpposite

          public ConnectionInfo.Direction getOpposite()

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.